<template>
  <div>
    <button @click="$emit('countChange', counte++)">emit value</button>
    <div>from parent: {{ passToChild }}</div>
    <div>from parent to computed: {{ computedFromProps }}</div>
    <div>from parent to data: {{ dataFromProps }}</div>
  </div>
</template>

<script>
export default {
  name: "Child",
  props: {
    passToChild: { type: String, default: "" },
  },
  data() {
    return {
      counte: 0,
      dataFromProps: "data: " + this.passToChild, // non reactive
    };
  },
  computed: {
    computedFromProps: function() {
      return "computed: " + this.passToChild;
    },
  },
};
</script>
